Bug 467600

Summary: rendering issue: background text color not filling properly
Product: [Fedora] Fedora Reporter: Charles R. Anderson <cra>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 11CC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 06:46:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 465130    
Attachments:
Description Flags
screenshot of mutt in maximized gnome-terminal using System theme colors
none
screenshot of mutt in maximized gnome-terminal using White on Black colors none

Description Charles R. Anderson 2008-10-19 02:40:28 EDT
Created attachment 320790 [details]
screenshot of mutt in maximized gnome-terminal using System theme colors

Description of problem:

When running applications that set the background color of the whole terminal area, some lines are not filling the whole line correctly with the background color, instead leaving the remainder of the line (whitespace after the text on the line) at the gnome-terminal default background color (white for default colors, black for "White on Black" color theme).

Version-Release number of selected component (if applicable):
gnome-terminal-2.24.0-2.fc10.x86_64
vte-0.17.4-1.fc10.x86_64

How reproducible:
always

Steps to Reproduce:
1. run mutt with custom background colors (see below).
2. maximize the gnome-terminal window.
3. page up/down through a long email thread.
  
Actual results:
see attached image

Expected results:
There should be no horizontal white or black bars after the lines of text to the right edge of the terminal.

Additional info:

.muttrc:

color attachment    magenta white
color body          magenta white "(ftp|http|https|news|nntp|rsync)://[^ ]+" # point out URLs
color body          magenta white [-a-z_0-9.]+@[-a-z_0-9.]+    # e-mail addresses
#color body         magenta white [[:graph:]]+://[[:graph:]]+
#color body         magenta white ^[[:graph:]]+://[[:graph:]]+
#color body         magenta white mailto:[[:graph:]]+
#color body         magenta white ^mailto:[[:graph:]]+
#color body         magenta white [[:graph:]]+@[[:graph:]]+
#color body         magenta white ^[[:graph:]]+@[[:graph:]]+
color bold          brightblue white
color error         red white
color header        red white From:
color header        blue white To:
color header        magenta white Subject:
color hdrdefault    black white
color indicator     white blue
color markers       brightgreen white
color message       blue white
color normal        blue white
color quoted        red white
color search        white red
color signature     yellow white
color status        brightyellow blue
color tilde         green white
color tree          red white
color underline     white blue
#color url          magenta white
Comment 1 Charles R. Anderson 2008-10-19 02:42:24 EDT
Created attachment 320791 [details]
screenshot of mutt in maximized gnome-terminal using White on Black colors
Comment 2 Bug Zapper 2008-11-25 23:00:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Charles R. Anderson 2009-05-29 08:26:08 EDT
Still happening on F11/rawhide.
Comment 4 Bug Zapper 2009-06-09 05:48:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-04-27 08:16:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:46:20 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.